# Generated from simpol-jekyll-theme-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simpol-jekyll-theme

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: A minimal, clean, and open source Jekyll theme
License: ISC
URL: https://simpoltheme.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Simpol Jekyll Theme, a content writer's and minimalist's best friend. Setup a
Jekyll blog and start writing, fast. Focus on the writing, the content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_posts
%{gem_instdir}/assets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.5-1
- Initial package
